# eth\_getBlockByNumber

1. **Parameters**

* <mark style="color:blue;">blockNumber/tag</mark>  string\*REQUIRED

  The block number in hexadecimal format or the string latest, earliest, pending, safe or finalized
* <mark style="color:blue;">**transaction detail**</mark> flag \*REQUIRED

  The method returns the full transaction objects when this value is true otherwise, it returns only the hashes of the transactions

```json
curl https://Krypc-End Point URL/ \
  -X POST \
  -H "Content-Type: application/json" \
  --data '{"method":"eth_getBlockByNumber","params":["0xc5043f",false],"id":1,"jsonrpc":"2.0"}'

```

2. Returns

Result- object

A block object, or null when no block was found. The block object contains the following fields:

1. <mark style="color:blue;">baseFeePerGas</mark>

A string of the base fee encoded in hexadecimal format. Please note that this response field will not be included in a block requested before the EIP-1559 upgrade

2. <mark style="color:blue;">difficulty</mark>

The integer of the difficulty for this block encoded as a hexadecimal

3. <mark style="color:blue;">extraData</mark>

The “extra data” field of this block

4. &#x20;<mark style="color:blue;">gasLimit</mark>

The maximum gas allowed in this block encoded as a hexadecimal

5. <mark style="color:blue;">gasUsed</mark>

The total used gas by all transactions in this block encoded as a hexadecimal

6. <mark style="color:blue;">hash</mark>

The block hash of the requested block. null if pending

7. &#x20;<mark style="color:blue;">logsBloom</mark>

The bloom filter for the logs of the block. null if pending

8. <mark style="color:blue;">miner</mark>

The address of the beneficiary to whom the mining rewards were given

9. &#x20;<mark style="color:blue;">mixHash</mark>

A string of a 256-bit hash encoded as a hexadecimal

10. &#x20;<mark style="color:blue;">nonce</mark>

The hash of the generated proof-of-work. null if pending

11. &#x20;<mark style="color:blue;">number</mark>

The block number of the requested block encoded as hexadecimal. null if pending

12. &#x20; <mark style="color:blue;">parentHash</mark>

The hash of the parent block

13. &#x20;<mark style="color:blue;">receiptsRoot</mark>

The root of the receipts trie of the block

14. &#x20;<mark style="color:blue;">sha3Uncles</mark>

The SHA3 of the uncles data in the block

15. &#x20;<mark style="color:blue;">size</mark>

The size of this block in bytes as an Integer value encoded as hexadecimal

16. &#x20;  <mark style="color:blue;">stateRoot</mark>

The root of the final state trie of the block

17. &#x20;<mark style="color:blue;">timestamp</mark>

The UNIX timestamp for when the block was collated

18. &#x20; <mark style="color:blue;">totalDifficulty</mark>

The integer of the total difficulty of the chain until this block encoded as a hexadecimal

19. &#x20; <mark style="color:blue;">transactions</mark>

An array of transaction objects - please see eth\_getTransactionByHash for exact shape

&#x20;20\.   <mark style="color:blue;">transactionsRoot</mark>

The root of the transaction trie of the block

21\.  <mark style="color:blue;">uncles</mark>

An array of uncle hashes
